QGIS Application - Bug report #5016
postgis provider problem with identify map tool
2012-02-14 09:48 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 14792

Description

Running master (14/2/2012) | have a problem with the identify map tool.

If I run it in the normal modus it works ok (for this postgis layer), but if | run it in the modus 'Open feature form, if a single feature is

identified' from the Maptools tab in the Options. | get the wrong results.

To reproduce:

- loaded attached shape in postgis via SPIT plugin (using epsg:28992 as CRS)

- load the layer in QGIS

- using the identify tool in normal modus: every point shows you city information

- uding the identify tool in 'open feature form' modus, a form is opened, but it is showing the wrong information. It shows the feature with

apparently gid 1

Associated revisions

Revision d2775ba5 - 2012-02-14 09:55 PM - Jiirgen Fischer

fix 659abb8d (fixes #5016)

History

#1 - 2012-02-14 11:59 AM - Jiirgen Fischer
- % Done changed from 0 to 100
- Status changed from Open to Closed

Fixed in changeset commit:"d2775ba5cc27bf3d9a4ac8bcd9c2c9eb327bf716".
